Get fund tokens' latest prices
curl --request GET \
--url https://api.starke.finance/v1/vaults/vtoken-pricesimport requests
url = "https://api.starke.finance/v1/vaults/vtoken-prices"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.starke.finance/v1/vaults/vtoken-prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.starke.finance/v1/vaults/vtoken-prices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.starke.finance/v1/vaults/vtoken-prices"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.starke.finance/v1/vaults/vtoken-prices")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.starke.finance/v1/vaults/vtoken-prices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"Fund1111111111111111111111111111111111111111": {
"name": "Starke Example Fund",
"symbol": "SFUND",
"mint_id": "SFundMint111111111111111111111111111111111111",
"uri": "https://api.starke.finance/v1/vaults/metadata/SFUND",
"aum_usd": 28105.125,
"supply": 25000,
"price_usd": 1.124205
}
}{
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}Vaults
Get fund tokens' latest prices
Returns each fund’s token and its latest price, keyed by fund address. Each has the fund’s name and symbol; the token’s mint_id and metadata uri; and from the latest price point, aum_usd (the fund’s value), supply (fund tokens in circulation) and price_usd (one fund token’s price). Closed and unknown funds are left out.
GET
/
v1
/
vaults
/
vtoken-prices
Get fund tokens' latest prices
curl --request GET \
--url https://api.starke.finance/v1/vaults/vtoken-pricesimport requests
url = "https://api.starke.finance/v1/vaults/vtoken-prices"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.starke.finance/v1/vaults/vtoken-prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.starke.finance/v1/vaults/vtoken-prices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.starke.finance/v1/vaults/vtoken-prices"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.starke.finance/v1/vaults/vtoken-prices")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.starke.finance/v1/vaults/vtoken-prices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"Fund1111111111111111111111111111111111111111": {
"name": "Starke Example Fund",
"symbol": "SFUND",
"mint_id": "SFundMint111111111111111111111111111111111111",
"uri": "https://api.starke.finance/v1/vaults/metadata/SFUND",
"aum_usd": 28105.125,
"supply": 25000,
"price_usd": 1.124205
}
}{
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}Query Parameters
Comma-separated fund addresses, 1 to 50 of them.
Response
The latest price of each fund token, keyed by fund address.